package de.hdm_stuttgart.battlearena.Model.Map;

import javafx.scene.image.Image;

import org.apache.logging.log4j.Logger;
import org.apache.logging.log4j.LogManager;

public class TileFactory {

    private static final Logger log = LogManager.getLogger(TileFactory.class);

    public static ITile createTile(TileType tileType, Image tileSprite) {
        if (tileType == TileType.WALKABLE) {
            log.debug("Tile with type: " + tileType + " created.");
            return new BackgroundTile(tileSprite, true);
        } else if (tileType == TileType.NON_WALKABLE) {
            log.debug("Tile with type: " + tileType + " created.");
            return new BackgroundTile(tileSprite, false);
        }

        log.error("TileType: " + tileType + " not supported!");
        throw new IllegalArgumentException("TileType: " + tileType + " not supported!");
    }

}